-- 本地书架
CREATE TABLE book_library (
     book_id TEXT not NULL,
     book_name TEXT,
     book_path TEXT unique not NULL,
     cover TEXT,
     last_timestamp INTEGER,
     book_group_id TEXT
    ) ;

-- 单词表
CREATE TABLE words (
     book_name TEXT,
     word TEXT not NULL,
     explain TEXT,
     is_strange INTEGER,
     add_date TEXT,
     sentence TEXT,
     pronounce_url TEXT,
     definition TEXT,
     phonetic TEXT,
     repetition INTEGER,
     _interval INTEGER,
     easinessFactor INTEGER,
     previousDateTimestamp INTEGER,
     nextDateTimestamp INTEGER,
     grade INTEGER,
     mdx_filename TEXT,
     lang TEXT,
     unique(word, sentence)
    ) ;


-- 书签, 支持pdf, epub等
CREATE TABLE bookmarks (
     book_id TEXT not NULL,
     book_path TEXT not NULL,
     file_type TEXT,
     chapter_title TEXT,
     bookmark TEXT not NULL,
     create_date TEXT,
     summary TEXT,
     unique(book_id, bookmark)
    ) ;


 CREATE TABLE IF NOT EXISTS book_groups (
         id TEXT not NULL,
         name TEXT not NULL,
         lastModifyTime INTEGER,
         unique(id)
        );